<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateProyectoTerreno extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('proyecto_terreno')
			->addColumn('proyecto_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('fecha', 'date', ['null' => false])
			->addColumn('valor', 'double', ['null' => false])
			->addColumn('tipo_moneda_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addForeignKey('proyecto_id', 'proyecto', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('tipo_moneda_id', 'tipo_moneda_pagare', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
